   -- InvertStuetze
   -- Specialization for inverting the Support Animation
   --
   -- Ersteller Börndi
   -- Datum 05/02/12

   InvertStuetze = {};

   function InvertStuetze.prerequisitesPresent(specializations)
       return true;
   end;


   function InvertStuetze:load(xmlFile)
   end;

   function InvertStuetze:delete()
   end;

   function InvertStuetze:mouseEvent(posX, posY, isDown, isUp, button)
   end;

   function InvertStuetze:keyEvent(unicode, sym, modifier, isDown)
   end;

   function InvertStuetze:update(dt)
   end;

   function InvertStuetze:onAttach()

	if self.attacherVehicle and not self.rotationMax then
		local animTimeStuetze = nil;
		if self:getIsAnimationPlaying("StuetzeNormal") then			
			animTimeStuetze = self:getAnimationTime("StuetzeNormal");
		end;
		self:playAnimation("StuetzeNormal", 1, animTimeStuetze, true);
	end;

	if self.attacherVehicle and self.rotationMax then
		local animTimeStuetze = nil;
		if self:getIsAnimationPlaying("StuetzeInvert") then			
			animTimeStuetze = self:getAnimationTime("StuetzeInvert");
		end;
		self:playAnimation("StuetzeInvert", 1, animTimeStuetze, true);
	end;	
   end;

   function InvertStuetze:onDetach()

	if not self.attacherVehicle and not self.rotationMax then
		local animTimeStuetze = nil;
		if self:getIsAnimationPlaying("StuetzeNormal") then			
			animTimeStuetze = self:getAnimationTime("StuetzeNormal");
		end;
		self:playAnimation("StuetzeNormal", -1, animTimeStuetze, true);	
	end;	

	if not self.attacherVehicle and self.rotationMax then
		local animTimeStuetze = nil;
		if self:getIsAnimationPlaying("StuetzeInvert") then			
			animTimeStuetze = self:getAnimationTime("StuetzeInvert");
		end;
		self:playAnimation("StuetzeInvert", -1, animTimeStuetze, true);	
	end;	
   end;

   function InvertStuetze:updateTick(dt)
   end;

   function InvertStuetze:draw()
   end;